<div class="products-and-scores">
  <h2 class="products-and-scores__title">
    {{ "CUSTOMERS.CUSTOMER_PROFILE.PRODUCTS_AND_SCORES.TITLE" | translate }}
  </h2>
  <p class="products-and-scores__description">
    {{
      "CUSTOMERS.CUSTOMER_PROFILE.PRODUCTS_AND_SCORES.DESCRIPTION" | translate
    }}
  </p>
  <div class="products-and-scores__items">
    <layout-score-item
      *ngIf="isLoadingProductsAndScores$ | async; else productsAndScores"
      [isLoading]="true"
    ></layout-score-item>

    <ng-template #productsAndScores>
      <layout-score-item
        *ngFor="let productAndScore of customerProductsAndScores$ | async"
        [name]="productAndScore.product_name"
        [date]="productAndScore.pre_approved_at"
        [score]="productAndScore.score"
        [amount]="productAndScore.pre_approved_amount"
      ></layout-score-item>
    </ng-template>
  </div>
</div>
